Subject: Re: [Orgmode] can't see emphasized text in org

From: Daniel Goldin <[email-masked]>
Date: Wed, 26 Aug 2009 14:20:22 -0700

Finally got a chance to try this. Works like a charm! Thanks.

d.

On Sun, 23 Aug 2009, Nick Dokos wrote:

>Daniel Goldin <[email-masked]> wrote:
>
>> On Sun, 23 Aug 2009, Nick Bell wrote:
>> 
>> > Daniel Goldin wrote:
>> >> Non-programmer-type can't see markup like /this/ as emphasized. I
>> >> looked through manual and searched web but found no answer.  Any
>> >> thoughts?
>> > Are you using a font which has a separate italic form? Try switching
>> > to  a font which you know does, such as Courier New.
>> >
>> > Now wait for an expert to come along.
>> >
>> Doesn't help, I'm afraid.
>>
> 
>I've seen this problem before and I never chased it down but when I saw
>Nick Bell's idea, I figured that's got to be it. It *almost* works
>but not quite (as Daniel found out).
>
>If you enter /italic/ in an org buffer, place your cursor in there and
>say M-x describe-text-properties, you get:
>
>,----
>| Text content at position 48:
>| 
>| 
>| There are text properties here:
>|   face                 (italic)
>|   font-lock-multiline  t
>|   fontified            t
>`----
>
>You can then M-x describe-face italic <RET>. For me, that had
>the :underline attribute set, and the :slant attribute unset.
>If you customize the face, set the :slant attribute (e.g. to italic)
>and unset the :underline attribute and *then* change to a font that
>provides an italic form, then /italic/ is indeed italicized.
>
>The problem seems to be in faces.el:
>
>,----
>| (defface italic
>|   '((((supports :slant italic))
>|      :slant italic)
>|     (((supports :underline t))
>|      :underline t)
>|     (t
>|      ;; default to italic, even it doesn't appear to be supported,
>|      ;; because in some cases the display engine will do it's own
>|      ;; workaround (to `dim' on ttys)
>|      :slant italic))
>|   "Basic italic face."
>|   :group 'basic-faces)
>`----
>
>which apparently looked at my default font[1], found that it does not
>support italics but does support underlines and set the attributes
>accordingly. *Why* it falls back to underlining is probably a question
>that should be addressed to the emacs developers, but it looks like
>a bug to me (hence copied to the emacs bugs list - version info appended[2])
>
>HTH,
>Nick
>
>[1] I have
>
>(set-default-font "-misc-fixed-medium-r-normal--15-120-100-100-c-90-iso8859-1")
>
>in my .emacs. I think this is what used to be called "9x15" at some point in
>the past, but I'm really not sure.
>
>
>[2] Version info:
>
>GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9) of 2009-08-09 on gamaville.dokosmarshall.org
>Org-mode version 6.29trans (release_6.29c.55.ga48f)

-- 
Daniel Goldin 
213.926.1960